<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<!-- mobile responsiveness -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<!-- Bootstrap Link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">


	<title>Bootstrap Grid System</title>
</head>
<body>
	<!--
		Bootstrap's Responsive Grid System primarily focus on the pattern of:
		C-R-C (Container-Row-Column) 

			container - set the max width of the layout
			row -holds the column and prevents overflowing
			column - holds the actual content and its width is determined by the number of columns in a row. There should only be 12 columns in a row.
	 -->

	 <div class="container bg-secondary">
	 	<h2>Container</h2>
	 	<div class="row">
	 		<div class="col-6 bg-primary border border-dark">
	 			Div uses 6 columns out of 12
	 		</div>
	 		<div class="col-6 bg-danger border border-dark">
	 			Div uses 6 columns out of 12
	 		</div>
	 	</div>
	 </div>

	 <div class="container-fluid bg-dark text-white mt-5">
	 	<h2>Container Fluid</h2>
	 	<div class="row">
	 		<!-- 
	 			Row holds column. If columns are added and exceed 12 columns, additional rows will not be displayed in the same row AND therefore will not completely use or take advantage of our grid system.

	 			Rows can only 12 columns, if the divs inside exceeds 12 columns, the last div will overflow to the next row.

	 			Essentially, what we're doing is setting up a layout wherein we can determin the sizes of each part of our page based on the number of columns.
	 		 -->
	 		<div class="col-4 bg-info border border-dark">
	 			Div uses 4 columns out of 12	 			
	 		</div>
	 		<div class="col-4 bg-warning border border-dark">
	 			Div uses 4 columns out of 12
	 		</div>
	 		<div class="col-4 bg-secondary border border-dark">
	 			Div uses 4 columns out of 12
	 		</div>
	 		<div class="col-1 bg-success border border-dark">
	 			Div uses 4 columns out of 12
	 		</div>
	 	</div>
	 </div>

	 <div class="container-fluid mt-5">
	 	<h1>Page Layout</h1>
	 	<div class="row my-5">
	 		<div class="col-12 col-md-8 text-center order-2 order-md-1">
	 			<h2>What is HTML?</h2>
	 			<p>Lorem ipsum dolor sit amet consectetur adipisicing, elit. Voluptate, itaque, doloremque! Et aperiam dolores reprehenderit dignissimos dolore ullam, consequuntur nostrum quaerat eveniet autem quos possimus quod vitae voluptate recusandae dolorum.</p>
	 		</div>
	 		<div class="col-12 col-md-4 text-center order-1 order-md-2">
	 			<img src="./images/html5.png" alt="html">
	 		</div>
	 	</div>
	 </div>
	
	<!-- BREAKPOINTS
		When designing the number of columns, a div can occupy the effect  but by default, it will be from the smallest to largest. Meaning:
			col-12 - 12 columns from the smallest screen to largest
			col-8 - 8 columns from smallest to largest

			However, not all layouts would/should look the same across all screens. As UI/UX designer, you have to consider the readablity and the sized of each column in smaller screens.


		Breakpoints
			- points/screens wherein we can set a different layout or number of columns to a div

			ex. 
				<div class="col-12 col-md-4">
					this div is 12 column the smalles to the small screen. 4 colums from the medium to the largest
				</div>	

			Columns can be sized with breakpoints stating from the smallest screen:
				col-* - from the smallest screen
				col-sm-* - breakpoint from small screen (about 576px screen width)
				col-md-* - breakpoint from medium screen (about 768px screen width)
				col-lg-* - breakpoint from large screen (about 992 screen width)
				col-xl-* - breakpoint from largest screen (about 1200px screen width)

				<div class="col-12 col-md-3">
	 -->

	 <!-- 
	 	Mini Activity
	 	Create a new div with class row and with size 5 margin at the top and bottom
	 	Create 3 new divs inside the row
	 		1st div occupies 2 columns bg color is green with dark border
	 			text: text-1
	 		2nd div occupies 3 columns, bg color is blue with dark border
	 			text: text-2
	 		3rd div occupies 5 columns bg color is red with dark border
	 			text: text-3

	 			offset: 2 columns
	  -->

	  <!-- Solution to mini-activity -->

	  <div class="container-fluid mt-5">
	  	<div class="row my-5">
	  		<div class="col-2 bg-sucess border border-dark">text-1</div>
	  		<div class="col-3 bg-primary border border-dark">text-2</div>
	  		<div class="col-5 offset-2 bg-danger border border-dark">text-3</div>
	  	</div>
	  </div>


	  <div class="row my-5">
	  	<div class="col-3  mx-auto">
	  		<!-- You can actually use mx-auto to center your content -->
	  		<img class="img-fluid"src="./images/css.png" alt="...">
	  	</div>
	  </div>

	  <!-- ORDER -->
	  <!-- You can change the order of divs in a row. You can change the order of dics in a row per screen or breakpoint -->

	  <div class="row">
	  	<div class="col-12 col-md-4 bg-warning border border-dark p-3 order-3 order-md-3">
	  		Lebron James
	  	</div>
	  	<div class="col-12 col-md-4 text-white bg-secondary border border-dark p-3 order-1 order-md-2">
	  		Kevin Durant
	  	</div>
	  	<div class="col-12 col-md-4 bg-primary border border-dark p-3 order-2 order-md-1">
	  		Stephen Curry
	  	</div>
	  </div>

	  <!-- Mini Activity
			Create a row with 3 divs
				- each div should be 12 col from the smallest screen
				- each div should be 4 col from the medium to large screen

			Order from the smallest screen:
				Charmander
				Squirtle
				Bulbasaur

			Order from medium to xl:
				Squirtle
				Bulbasaur
				Charmander
	   -->

	   <div class="row my-5">
	   		<div class="col-12 col-md-4 order-1 order-md-3">
	   			Charmander
	   		</div>
	   		<div class="col-12 col-md-4 order-2 order-md-1">
	   			Squirtle
	   		</div>
	   		<div class="col-12 col-md-4 order-3 order-md-2">
	   			Bulbasaur
	   		</div>
	   	
	   </div>

	<!-- JS Dependecies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>